#=================================================
# Testes de Hiptese para Propores
#=================================================
# Professor: Jos Cludio Faria
# Estudantes: Luigi Manzoli
#             Vinicius Marinho
#             Matheus dos Santos
#=================================================

# Para descobrir o z prtico
# Essa funo  somente para calcular o desvio padro,
# no ser necessria para a anlise, somente a z_p
#sdp <- function (p0, n)
#{
# sqrt((p0*(1-p0))/n)
#}

z_p = function (p,
                p0,
                n) 
{
  (p-p0)/sqrt((p0*(1-p0))/n)
}

# p  a probabilidade da amostra
# p0  a probabilidade da populao
# n  o tamanho da amostra

# Para descobrir o p-valor
pvalor <- pnorm(z_p)

#.. Exerccio 1
#... Uma estao de rdio de Ilhus anunciou que pelo menos 90%
#... dos hotis estariam lotados no fim de semana do show do Pablito do arrocha...

pvalor1 <- pnorm(z_p(49/58,
                     0.9,
                     58))

# p = 49/58 (probabilidade dos acontecimentos analisados(estar lotado como no anncio da Rdio) acontecerem)
# p0 = 0.9 (probabilidade que foi indicada para a populao (90% dos hoteis estarem fechados))
# n = 58 (tamanho da amostra)

pvalor1
# O pvalor  maior que alfa(0.05), os acontecimentos de Ho so muitos comuns portanto  justificavel aceitar Ho!

#.. Exerccio 2
#... Com fontes domsticas de materiais de construo diminuindo h alguns anos,
#... aproximadamente 60000 casas foram construdas com drywall chinesa...

pvalor2 <- pnorm(z_p(41/51,
                     0.5,
                     51),
                 lower.tail=FALSE)

# p = 41/51 (probabilidade dos acontecimentos analisados(as drywall apresentarem problemas) acontecerem)
# p0 = 0.5 (probabilidade que foi indicada para a populao (50% das drywalls))
# n = 51 (tamanho da amostra)

pvalor2
# O pvalor  menor que alfa(0.01), os acontecimentos de Ho so muitos incomuns, portanto  justificavel rejeitar Ho!
